Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class SampleKMerEnumerator

    java.lang.Object
      de.jstacs.data.SampleKMerEnumerator

All Implemented Interfaces:
  RecyclableSequenceEnumerator, Enumeration<Sequence>

    public class SampleKMerEnumerator

extends Object
implements RecyclableSequenceEnumerator

Class for an `RecyclableSequenceEnumerator` of `Sequence`s that enumerates all k-mers that exist in a given `Sample`, optionally ignoring reverse complements.

Author:
  Jens Keilwagen, Jan Grau

Constructor Summary
`SampleKMerEnumerator(Sample data, int k, boolean eliminateRevComp)` Constructs a new SampleKMerEnumerator from a `Sample` `data` by extracting all k-mers.

Method Summary
`boolean` | `hasMoreElements()`
`Sequence` | `nextElement()`
`void` | `reset()` This method enables the user to reuse this enumerator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SampleKMerEnumerator

    public SampleKMerEnumerator(Sample data,
                                int k,
                                boolean eliminateRevComp)
                         throws OperationNotSupportedException

  Constructs a new SampleKMerEnumerator from a `Sample` `data` by extracting all k-mers.

  Parameters:
    `data` - the data to extract the k-mers from
    `k` - the length of the k-mers
    `eliminateRevComp` - whether to ignore the reverse complement of already existing k-mers
  Throws:
    `OperationNotSupportedException` - if a `Sequence` in `data` does not support to compute the reverse complement but `eliminateRevComp` is true

Method Detail

### reset

    public void reset()

  Description copied from interface: `RecyclableSequenceEnumerator`
  This method enables the user to reuse this enumerator.

  Specified by:
    `reset` in interface `RecyclableSequenceEnumerator`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<Sequence>`

### nextElement

    public Sequence nextElement()

  Specified by:
    `nextElement` in interface `Enumeration<Sequence>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD